Package org.jboss.logmanager.handlers

## Enum SyslogHandler.Severity

- java.lang.Object
- - java.lang.Enum<SyslogHandler.Severity>
  - - org.jboss.logmanager.handlers.SyslogHandler.Severity

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<SyslogHandler.Severity>`

Enclosing class:
  SyslogHandler

    public static enum SyslogHandler.Severity
    extends java.lang.Enum<SyslogHandler.Severity>

Severity as defined by RFC-5424 (http://tools.ietf.org/html/rfc5424) and RFC-3164 (http://tools.ietf.org/html/rfc3164).

### Enum Constant Summary

Enum Constants
`ALERT`
`CRITICAL`
`DEBUG`
`EMERGENCY`
`ERROR`
`INFORMATIONAL`
`NOTICE`
`WARNING`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static SyslogHandler.Severity` `fromLevel​(java.util.logging.Level level)` Maps a `level` to a `severity`.
`java.lang.String` `toString()`
`static SyslogHandler.Severity` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SyslogHandler.Severity[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EMERGENCY

    public static final SyslogHandler.Severity EMERGENCY

#### ALERT

    public static final SyslogHandler.Severity ALERT

#### CRITICAL

    public static final SyslogHandler.Severity CRITICAL

#### ERROR

    public static final SyslogHandler.Severity ERROR

#### WARNING

    public static final SyslogHandler.Severity WARNING

#### NOTICE

    public static final SyslogHandler.Severity NOTICE

#### INFORMATIONAL

    public static final SyslogHandler.Severity INFORMATIONAL

#### DEBUG

    public static final SyslogHandler.Severity DEBUG

### Method Detail

#### values

    public static SyslogHandler.Severity[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SyslogHandler.Severity c : SyslogHandler.Severity.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SyslogHandler.Severity valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Enum<SyslogHandler.Severity>`

#### fromLevel

    public static SyslogHandler.Severity fromLevel​(java.util.logging.Level level)

Maps a `level` to a `severity`. By default returns `INFORMATIONAL`.

Parameters:
  `level` - the level to map
Returns:
  the severity